#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <vector>
#include <string>
#include <cassert>

using namespace std;

char buffer[200];

bool isgood(string s) {
  if (s.size() < 2 || !isupper(s[0])) return false;
  for (int i = 1; i < (int)s.size(); i++)
    if (!islower(s[i])) 
      return false;
  return true;
}

int main() {
  assert(freopen("abbreviation.in", "r", stdin));
  assert(freopen("abbreviation.out", "w", stdout));

  while (fgets(buffer, sizeof(buffer), stdin)) {
    int len = strlen(buffer);
    while (buffer[len - 1] == '\r' || buffer[len - 1] == '\n') len--;
    buffer[len] = 0;
    vector<string> v;
    v.push_back("");
    int w = 1;
    for (int i = 0; i < len; i++) {
      if ((w == 1) != !!isalpha(buffer[i])) {
        if (v.back() != "") {
          v.push_back("");
        }
        w ^= 1;
      }
      v.back() += buffer[i];
    }
    //for (string s : v) {
    //  fprintf(stderr, "|%s|", s.c_str());
    //}
    //fprintf(stderr, "\n");
    for (int i = 0; i < (int)v.size();) {
      if (!isgood(v[i])) {
        printf("%s", v[i++].c_str());
        continue;
      }
      int j = i + 1;
      while (j + 1 < (int)v.size()) {
        if (v[j] == " " && isgood(v[j+1])) 
          j += 2;
        else
          break;
      }
      if (j > i + 1) {
        for (int k = i; k < j; k += 2) {
          printf("%c", v[k][0]);
        }
        printf(" (");
        for (; i < j; i++) {
          printf("%s", v[i].c_str());
        }
        printf(")");
      } else {
        printf("%s", v[i++].c_str());
      }
    }
    printf("\n");
  }
  return 0;
}
