import ru.ifmo.validate.*;

public class Validate implements Validator {
	private static final int MAX_N = 1000;
	private static final int MAX_DEL = 1_000_000_000;

	@Override
	public void validate(ValidatingScanner in) {
		int n = in.nextInt(1, MAX_N);
		int k = in.nextInt(1, n);
		int minS = in.nextInt(0, k);
		int minE = in.nextInt(0, k - minS);
		in.eoln();
		for (int i = 0; i < n; i++) {
			in.nextInt(0, MAX_DEL);
		}
		in.eoln();
		for (int i = 0; i < n; i++) {
			in.nextInt(0, MAX_DEL);
		}
		in.eoln();
	}
}
