#include <cstdio>
#include <cstdlib>
#include <cassert>

int s[1000], e[1000];

int main () {
  assert (freopen ("delight.in", "rt", stdin));
  assert (freopen ("delight.out", "wt", stdout));
  int n, k, ms, me;
  assert (scanf ("%d%d%d%d", &n, &k, &ms, &me) == 4);
  long long best = -1;
  int besti = -1;
  assert (n >= 1 && n <= 1000 && k >= 1 && k <= n && ms >= 0 && me >= 0 && ms + me <= k);
  for (int i = 0; i < n; i++) assert (scanf ("%d", s + i) == 1), assert (s[i] >= 0 && s[i] <= 1e9);
  for (int i = 0; i < n; i++) assert (scanf ("%d", e + i) == 1), assert (e[i] >= 0 && e[i] <= 1e9);
  for (int i = 0; i < (1 << n); i++) {
    bool ok = true;
    for (int j = 0; j <= n - k; j++) {
      int m = i & ((1 << (j + k)) - (1 << j));
      int bc = __builtin_popcount (m);
      if (bc < me || bc > k - ms) { ok = false; break; }
    }
    if (ok) {
      long long res = 0;
      for (int j = 0; j < n; j++) if (i & (1 << j)) res += e[j]; else res += s[j];
      if (res > best) {
        best = res;
        besti = i;
      }
      //printf ("%04x %lld\n", i, res);
    }
  }
  printf ("%lld\n", best);
  for (int i = 0; i < n; i++)
    printf ((besti & (1 << i)) ? "E" : "S");
  puts ("");
}