import java.io.*;
import java.util.*;

public class delight_tourist_wa_dp {
	public static void main(String[] args) throws IOException {
		Scanner in = new Scanner(new File("delight.in"));
		PrintWriter out = new PrintWriter("delight.out");
		int n = in.nextInt();
		int period = in.nextInt();
		int minSleep = in.nextInt();
		int minEat = in.nextInt();
		int[] S = new int[n];
		for (int i = 0; i < n; i++) {
			S[i] = in.nextInt();
		}
		int[] E = new int[n];
		for (int i = 0; i < n; i++) {
			E[i] = in.nextInt();
		}
		if (period > 15) {
			out.println("PeriodTooLargeException");
			in.close();
			out.close();
			return;
		}
		boolean[] good = new boolean[1 << period];
		for (int t = 0; t < (1 << period); t++) {
			int bc = Integer.bitCount(t);
			good[t] = (minEat <= bc && bc <= period - minSleep);
		}
		long[][] f = new long[n + 1][1 << (period - 1)];
		int[][] pt = new int[n + 1][1 << (period - 1)];
		boolean[][] pu = new boolean[n + 1][1 << (period - 1)];
		for (int i = 0; i <= n; i++) {
			Arrays.fill(f[i], -1);
		}
		for (int t = 0; t < (1 << (period - 1)); t++) {
			f[period - 1][t] = 0;
			for (int i = 0; i < period - 1; i++) {
				if ((t & (1 << i)) > 0) {
					f[period - 1][t] += E[period - i - 2];
				} else {
					f[period - 1][t] += S[period - i - 2];
				}
			}
		}
		for (int i = period - 1; i < n; i++) {
			for (int t = 0; t < (1 << (period - 1)); t++) {
				if (f[i][t] == -1) {
					continue;
				}
				for (int u = 0; u < 2; u++) {
					int nt = (t << 1) + u;
					if (!good[nt]) {
						continue;
					}
					nt = nt & ((1 << (period - 1)) - 1);
					long nf = f[i][t];
					if (u == 1) {
						nf += E[i];
					} else {
						nf += S[i];
					}
					if (nf > f[i + 1][nt]) {
						f[i + 1][nt] = nf;
						pt[i + 1][nt] = t;
						pu[i + 1][nt] = (u == 1);
					}	
				}
			}
		}
		long result = 0;
		int bestT = -1;
		for (int t = 0; t < (1 << (period - 1)); t++) {
			if (f[n][t] > result) {
				result = f[n][t];
				bestT = t;
			}
		}
		int[] actions = new int[n];
		for (int i = n; i >= period; i--) {
			actions[i - 1] = pu[i][bestT] ? 1 : 0;
			bestT = pt[i][bestT];
		}
		for (int i = period - 2; i >= 0; i--) {
			actions[i] = bestT & 1;
			bestT >>= 1;
		}
		out.println(result);
		for (int i = 0; i < n; i++) {
			out.print(actions[i] == 1 ? 'E' : 'S');
		}
		out.println();
		in.close();
		out.close();
	}
}
