#include <cstdio>
#include <cassert>

int const N = 1234567;

int s[N];

int main() {
  assert(freopen("foreign.in", "r", stdin));
  assert(freopen("foreign.out", "w", stdout));
  int c = getchar();
  while (c <= 32) c = getchar();
  int n = 0;
  while (c > 32) {
    s[n++] = c == 'C' ? 0 : 1;
    c = getchar();
  }
  double ans = 0.;
  double p0 = 0.;
  double p1 = 0.;
  for (int i = 0; i < n; i++) {
    if (i == 0) {
      if (s[i] == 0) {
        p0 = 1. / n;
      } else {
        p1 = 1. / n;
      }
      continue;
    }
    if (s[i] == 0) {
      ans += p1 * (n - i);
      p0 += 1. / (n - i + 1) / (n - i);
    } else {
      ans += p0 * (n - i);
      p1 += 1. / (n - i + 1) / (n - i);
    }
  }
  printf("%.17f\n", ans);
}
