#include <cstdio>
#include <cassert>

int const N = 1234567;

int s[N];

int main() {
  assert(freopen("foreign.in", "r", stdin));
  assert(freopen("foreign.out", "w", stdout));
  int c = getchar();
  while (c <= 32) c = getchar();
  int n = 0;
  while (c > 32) {
    s[n++] = c == 'C' ? 0 : 1;
    c = getchar();
  }
  double ans = 0.;
  for (int i = 1; i < n; i++) {
    for (int j = 0; j < i; j++) {
      if (s[i] == s[j]) continue;
      double prob = j == 0 ? 1. : 1. / (n - j + 1);
      ans += prob * (n - i) / (n - j);
    }
  }
  printf("%.17f\n", ans);
}
