import java.io.File;
import java.io.PrintWriter;
import java.util.*;
import java.util.Scanner;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class hard_gk_ok_extraSpaces {
    static Scanner in;
    static PrintWriter out;

    static class Solution {
        static final int MAX = 1 << 15;

        void run() {
            boolean[] set = new boolean[2 * MAX + 1];
            while (in.hasNextLine()) {
                final String[] line = in.nextLine().split("\\s+");
                int a = Integer.parseInt(line[2]) + MAX;
                if (line.length > 6) {
                    int b = Integer.parseInt(line[6]) + MAX;
                    if (a <= b) {
                        Arrays.fill(set, a, b + 1, true);
                    }
                } else if (line[1].equals(">=")) {
                    Arrays.fill(set, a, 2 * MAX, true);
                } else {
                    Arrays.fill(set, 0, a + 1, true);
                }
            }
            int start = 0;
            final List<String> result = new ArrayList<>();
            for (int i = 0; i < 2 * MAX; i++) {
                if (set[i] != set[i + 1]) {
                    if (set[i]) {
                        result.add(Stream.of(
                                start == 0 ? "" : " x  >=  " + (start - MAX),
                                i == 2 * MAX - 1 ? "" : " x  <=  " + (i - MAX)
                        ).filter(s -> !s.isEmpty()).collect(Collectors.joining("  &&  ")));
                    }
                    start = i + 1;
                }
            }
            if (result.isEmpty()) {
                out.println(" false ");
            } else if (result.equals(Collections.singletonList(""))){
                out.println(" true ");
            } else {
                out.println(String.join("  || \n", result));
            }
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("hard.in"));
        out = new PrintWriter("hard.out");

        new Solution().run();

        in.close();
        out.close();
    }
}
