#include <bits/stdc++.h>
 
using namespace std;
 
const int MINX = -(1 << 15);
const int MAXX = (1 << 15);
 
char buf[12356];
int add[1 << 17];
 
int getInt(const string &s) {
  int res = 0;
  int sign = 1;
  for (int i = 0; i < (int)s.size(); i++) {
    char c = s[i];
    if (c == '-') sign = -1;
    if ('0' <= c && c <= '9') res = res * 10 + (c - '0');
  }
  return res * sign;
}
 
struct Answer {
  int type;
  int lx;
  int rx;
 
  Answer(int type, int lx, int rx) {
    this->type = type;
    this->lx = lx;
    this->rx = rx;
  }
};
 
int main() {
  freopen("hard.in", "r", stdin);
  freopen("hard.out", "w", stdout);
  while (gets(buf)) {
    string s(buf);
    size_t pos = s.find("&&");
    if (pos == string::npos) {
      int x = getInt(s);
      if (s.find(">=") != string::npos) {
        add[x + (1 << 15)]++;
      } else {
        add[0]++;
        add[x + (1 << 15) + 1]--;
      }
      cerr << "only <= " << x << endl;
    } else {
      string ls = s.substr(0, pos);
      string rs = s.substr(pos + 2);
      int lx = getInt(ls);
      int rx = getInt(rs);
      if (lx <= rx ) {
        add[lx + (1 << 15)]++;
        add[rx + (1 << 15) + 1]--;
      }
      cerr << "x >= " << lx << " and x <= " << rx << endl;
    }
  }
  bool to_min_inf = true;
  int first_ok = -1;
  int balance = 0;
  int last_balance = 0;
  bool all_true = true;
  bool all_false = true;
  vector <Answer> answer;
  for (int x = MINX; x < MAXX; x++) {
    last_balance = balance;
    balance += add[x + (1 << 15)];
    if (x + (1 << 15) == 3) {
      cerr << x << " " << balance << endl;
    }
    if (balance < 0) {
      puts("false");
      return 0;
    }
    if (balance > 0) {
      all_false = false;
      if (last_balance == 0) {
        first_ok = x;
      }
    } else {
      if (last_balance > 0) {
        if (to_min_inf) {
          answer.push_back(Answer(0, x - 1, x - 1));
        } else {
          answer.push_back(Answer(2, first_ok, x - 1));
        }
      }
      first_ok = -1;
      to_min_inf = false;
      all_true = false;
    }
  }
  if (all_false) {
    puts("false");
    return 0;
  }
  if (first_ok != -1) {
    answer.push_back(Answer(1, first_ok, first_ok));
  }
  if (all_true) {
    puts("true");
  } else {
    for (int i = 0; i < (int)answer.size(); i++) {
      if (answer[i].type == 0) {
        printf("x <= %d", answer[i].lx);
      } else if (answer[i].type == 1) {
        printf("x >= %d", answer[i].lx);
      } else {
        printf("x >= %d && x <= %d", answer[i].lx, answer[i].rx);
      }
      if (i + 1 < (int)answer.size()) {
        printf(" ||");
      }
      printf("\n");
    }
  }
  return 0;
}
