#include "testlib.h"

const int MAX_N = 10000;
const int MAX_W = 10000;
const int MAX_H = 5000;
const int MAX_M = 5000;

#include <set>
#include <algorithm>

typedef std::pair<int,int> pii;

int main(int argc, char **argv) {
  registerValidation(argc, argv);
  int n = inf.readInt(1, MAX_N);
  inf.readSpace();
  int w = inf.readInt(1, MAX_W);
  inf.readEoln();
  int h = inf.readInt(1, MAX_H);
  inf.readSpace();
  int m = inf.readInt(1, MAX_M);
  inf.readEoln();

  std::set <pii> dels;
  for (int i = 0; i < m; ++i) {
    int x = inf.readInt(1, h);
    inf.readSpace();
    int y = inf.readInt(1, n);
    inf.readEoln();

    ensuref(!dels.count(pii(x, y)), "Block (%d %d) has been deleted twice", x, y);
    dels.insert(pii(x, y));
  }
  inf.readEof();
}
