#include "testlib.h"

const int MAX_H = 1000;
const int MAX_W = 1000;

void readPicture(int minE) {
  int h = inf.readInt(1, MAX_H);
  inf.readSpace();
  int w = inf.readInt(1, MAX_W);
  inf.readEoln();
  int cntE = 0;
  for (int i = 0; i < h; ++i) {
    std::string s = inf.readToken();
    ensuref(int(s.length()) == w, "Bad length (w %d i %d s.length() %d)", w, i, (int)s.length());
    for (int j = 0; j < w; ++j) {
      ensuref(s[j] == '.' || s[j] == '*', "Bad character (i %d j %d ch %c[code %d])", i, j, s[j], (int)s[j]);
      cntE += (s[j] == '*' ? 1 : 0);
    }
    inf.readEoln();
  }
  ensuref(cntE >= minE, "cntE %d minE %d", cntE, minE);
}

int main(int argc, char **argv) {
  registerValidation(argc, argv);
  readPicture(1);
  readPicture(1);
  readPicture(0);
  inf.readEof();
}
