#include <cstdio>
#include <cstdlib>
#include <cassert>
#include <algorithm>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)

const int N = 1010, W = 3 * N;
const int LEN = W * N;

struct T {
	int len, first;
	char s[N * W + 1];

	void read() {
		int h, w;
		scanf("%d%d ", &h, &w);
		forn(i, h) {
			gets(s + W * i);
			forn(j, W - w) s[W * i + w + j] = '.';
		}
		len = h * W;
		first = -1;
		forn(i, len) {
			if (s[i] == '*') {
				first = i;
				break;
			}
		}
		// printf("first = %d\n", first);
	}
} a, b, c;

int get( T &a, T &b ) {
	if (a.first == -1 || b.first == -1) return 0;
	forn(z, LEN) {
		int i = z + a.first;
		int j = z + c.first;
		bool fa = (0 <= i && i < a.len && a.s[i] == '*'); 
		bool fc = (0 <= j && j < c.len && c.s[j] == '*');
		if (fa != fc) {
			// printf("z=%d b.first=%d\n", z, b.first);
			return a.first + z - b.first;
		} 
	}
	return 0;
}

bool is[2 * LEN];
void check( int pos ) {
	for (int i = -LEN; i < LEN; i++) {
		int j = i + pos;
		bool fa = (0 <= i && i < a.len && a.s[i] == '*'); 
		bool fb = (0 <= j && j < b.len && b.s[j] == '*'); 
		is[i + LEN] = fa ^ fb;
	}
	// printf("check %d [W=%d]\n", pos, W);
	// forn(i, 2 * LEN) printf("%d", is[i]); puts("");
	int first = 0;
	forn(i, 2 * LEN) {
		if (is[i]) {
			first = i;
			break;
		}
	}
	forn(z, 2 * LEN) {
		int i = z + first;
		int j = z + c.first;
		bool fa = (0 <= i && i < 2 * LEN && is[i]); 
		bool fc = (0 <= j && j < c.len && c.s[j] == '*'); 
		if (fa ^ fc) {
			// printf("z = %d ---> failed\n", z);
			return;
		}
	}
	puts("YES");
	pos = -pos;
	int x = pos % W;
	if (x < 0) x += W;
	if (x > N) x -= W;
	assert(-N <= x && x <= N);
	printf("%d %d\n", x, (pos - x) / W);
	exit(0);
} 

void check2( int pos ) {
	check(pos);
	check(-pos);
}
int main() {
	assert(freopen("kids.in", "r", stdin));
	assert(freopen("kids.out", "w", stdout));

	a.read(); 
	b.read(); 
	c.read(); 
	// puts(a.s);
	// puts(b.s);
	// puts(c.s);
	check2(a.first - b.first);
	check2(a.first - c.first);
	check2(c.first - b.first);
	check2(get(a, b));
	check2(-get(b, a));
	puts("NO");
}

