import ru.ifmo.testlib.*;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
	@Override
	public Outcome test(@SuppressWarnings("unused") InStream inf, InStream ouf, InStream ans) {
		String c = ouf.nextLine();
		String j = ans.nextLine();
		if (!j.equals(c)) {
			return new Outcome(WA, "Strings differ");
		}
		return new Outcome(OK, c.length() + " characters, correct: \"" +
				(c.length() > 16 ? c.substring(0, 8) + "..." + c.substring(c.length() - 8) : c) + "\"");
	}
}
