import ru.ifmo.validate.*;

public class Validate implements Validator {
	private static final int MAX_N = 100_000;
	private static final int MAX_M = 100_000;

	@Override
	public void validate(ValidatingScanner in) {
		int n = in.nextInt(1, MAX_N);
		int m = in.nextInt(1, MAX_M);
		in.eoln();
		long totalFood = 0;
		for (int i = 0; i < n; i++) {
			totalFood += in.nextInt(0, m);
		}
		in.eoln();
		for (int i = 0; i < m; i++) {
			in.nextInt(1, n);
		}
		in.eoln();
		assert totalFood >= m;
	}
}
