#!/bin/bash

for pd in ../problems/*; do
    if [[ -d "$pd/statement/pics" ]]; then
        pushd "$pd/statement/pics"
        for mpf in *.mp; do
            if [[ -f "$mpf" ]]; then mpost "$mpf"; fi
        done
        popd
    fi
done

for tx in *.tex; do
  txr=${tx:0:${#tx}-4}
  latex $txr
  latex $txr
  dvips $txr.dvi
  ps2pdf $txr.ps
done
