/* 
 * @author:  Andrew Stankevich
 * @version: $Id$
 */

#ifndef __INVOKE_JNI_H__
#define __INVOKE_JNI_H__

#ifndef INVOKE_API
#ifdef INVOKE_EXPORTS
#define INVOKE_API __declspec(dllexport)
#else
#define INVOKE_API __declspec(dllimport)
#endif
#endif

#include <jni.h>


extern "C" 
INVOKE_API 
jobject Java_invoke_NativeInvoke_invoke(
    JNIEnv *env,
    jobject obj,
    jobject request,
    jobject callback);

#endif __INVOKE_JNI_H__

