import java.io.File;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;
import java.util.stream.Collectors;

public class abbreviation_gk {
    static Scanner in;
    static PrintWriter out;

    static class Solution {
        void run() {
            while (in.hasNextLine()) {
                final StringBuilder sb = new StringBuilder();
                final String line = in.nextLine();
                final String[] parts = line.split("((?<=[^a-zA-Z])|(?=[^a-zA-Z]))");
                int i = 0;
                while (i < parts.length) {
                    if (i < parts.length && parts[i].matches("[A-Z][a-z]+")) {
                        List<String> words = new ArrayList<>();
                        words.add(parts[i]);
                        i++;
                        while (i + 1 < parts.length && parts[i].equals(" ") && parts[i + 1].matches("[A-Z][a-z]+")) {
                            words.add(parts[i + 1]);
                            i += 2;
                        }
                        if (words.size() == 1) {
                            sb.append(words.get(0));
                        } else {
                            sb.append(words.stream().map(s -> s.substring(0, 1)).collect(Collectors.joining()));
                            sb.append(" (");
                            sb.append(words.stream().collect(Collectors.joining(" ")));
                            sb.append(")");
                        }
                    } else {
                        sb.append(parts[i]);
                        i++;
                    }
                }
                out.println(sb);
            }
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("abbreviation.in"));
        out = new PrintWriter("abbreviation.out");

        new Solution().run();

        in.close();
        out.close();
    }
}
