import java.io.OutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.InputStream;
 
/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 */
public class abbreviation_petr {
    public static void main(String[] args) {
        InputStream inputStream;
        try {
            inputStream = new FileInputStream("abbreviation.in");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        OutputStream outputStream;
        try {
            outputStream = new FileOutputStream("abbreviation.out");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        InputReader in = new InputReader(inputStream);
        PrintWriter out = new PrintWriter(outputStream);
        TaskA solver = new TaskA();
        solver.solve(1, in, out);
        out.close();
    }
 
    static class TaskA {
        public void solve(int testNumber, InputReader in, PrintWriter out) {
            int[] starts = new int[1000];
            int[] ends = new int[1000];
            while (true) {
                String line = in.nextLine();
                if (line == null) {
                    break;
                }
                int cnt = 0;
                int st = 0;
                for (int i = 0; i <= line.length(); ++i) {
                    if (i >= line.length() || !Character.isLetter(line.charAt(i))) {
                        if (st < i) {
                            starts[cnt] = st;
                            ends[cnt++] = i;
                        }
                        st = i + 1;
                    }
                }
                st = cnt - 1;
                for (int i = cnt - 1; i >= -1; --i) {
                    if (i < 0 || !isNice(line.substring(starts[i], ends[i])) || (i < st && (ends[i] + 1 != starts[i + 1] || line.charAt(ends[i]) != ' '))) {
                        int nst = (i >= 0 && isNice(line.substring(starts[i], ends[i]))) ? i : i - 1;
                        if (st > i + 1) {
                            StringBuilder abbr = new StringBuilder();
                            for (int j = i + 1; j <= st; ++j) {
                                abbr.append(line.charAt(starts[j]));
                            }
                            line = line.substring(0, starts[i + 1]) + abbr.toString() + " (" + line.substring(starts[i + 1], ends[st]) + ")" + line.substring(ends[st]);
                        }
                        st = nst;
                    }
                }
                out.println(line);
            }
        }
 
        private boolean isNice(String x) {
            if (x.length() < 2) return false;
            if (!Character.isUpperCase(x.charAt(0))) return false;
            for (int i = 1; i < x.length(); ++i) if (!Character.isLowerCase(x.charAt(i))) return false;
            return true;
        }
 
    }
 
    static class InputReader {
        public BufferedReader reader;
        public StringTokenizer tokenizer;
 
        public InputReader(InputStream stream) {
            reader = new BufferedReader(new InputStreamReader(stream), 32768);
            tokenizer = null;
        }
 
        public String nextLine() {
            try {
                return reader.readLine();
            } catch (IOException e) {
                throw new RuntimeException(e);
            }
        }
 
    }
}