#include "testlib.h"

int const MAXN = 500000;
int const MAXS = 500000;

int main(int argc, char **argv) {
  registerValidation(argc, argv);
  int n = inf.readInt(1, MAXN);
  inf.readEoln();
  int sumlen = 0;
  for (int i = 0; i < n; i++) {
    std::string s = inf.readToken(format("[01?]{1,%d}", MAXS));
    int countQ = 0;
    for (char &c : s) {
      if (c == '?') countQ++;
    }
    ensuref(countQ <= 1, "several '?'s in code word %d", i + 1);
    sumlen += (int) s.length();
    ensuref(1 <= sumlen && sumlen <= MAXS, "total length of code words exceeds %d", MAXS);
    inf.readEoln();
  }
  inf.readEof();
}
