#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <algorithm>

using namespace std;

#define MAXN 500000

char buf[MAXN];
char *S[MAXN];
int P[MAXN], L[MAXN];
int n;

int main () {
  assert (freopen ("binary.in", "rt", stdin));
  assert (freopen ("binary.out", "wt", stdout));
  assert (scanf ("%d\n", &n) == 1);
  for (int i = 0; i < n; i++) {
    assert (fgets (buf, sizeof (buf), stdin));
    int l = strlen (buf);
    assert (l > 0 && buf[l - 1] == '\n');
    buf[--l] = 0;
    int k = -1;
    for (int j = 0; j < l; j++) {
      assert (buf[j] == '0' || buf[j] == '1' || buf[j] == '?');
      if (buf[j] == '?') {
        assert (k < 0);
        k = j;
        buf[k] = '0';
      }
    }
    S[i] = strdup (buf);
    P[i] = k;
    L[i] = l;
  }
  bool ok;
  while (1) {
    ok = true;
    for (int i = 0; i < n; i++)
      for (int j = i + 1; j < n; j++) {
        int c = min (L[i], L[j]);
        if (!memcmp (S[i], S[j], c)) {
          ok = false;
          goto fail;
        }
      }
    if (ok) {
      puts ("YES");
      for (int j = 0; j < n; j++) {
        printf ("%s\n", S[j]);
      }
      break;
    }
    fail:;
    int p = -1;
    for (int j = n - 1; j >= 0; j--) {
      if (P[j] >= 0) {
        ++S[j][P[j]];
        if (S[j][P[j]] == '1') {p = j; break; }
        S[j][P[j]] = '0';
      }
    }
    if (p < 0) break;
  }
  if (!ok) puts ("NO");
}
