#!/bin/bash

make gen_al
make binary_al_slow
make binary_ek
javac binary_nn_java.java
javac binary_pm.java
javac binary_nn_nn.java
javac binary_nn_nn_faster.java
cp binary_nn_cpp.c++ binary_nn_cpp.cpp
make binary_nn_cpp
javac -cp ../../../testlib/testlib4j.jar Check.java

a=0
while :; do
  a=$((a + 1))
  echo $a
  ./gen_al >binary.in
  if [ $? -ge 1 ]; then break; fi
  if ./binary_al_slow; then :; else break; fi;
  mv binary.out binary.1
  if ./binary_ek; then :; else break; fi;
  mv binary.out binary.2
  if java -ea binary_nn_java; then :; else break; fi;
  mv binary.out binary.3
  if java -ea binary_pm; then :; else break; fi;
  mv binary.out binary.4
  if java -ea binary_nn_nn; then :; else break; fi;
  mv binary.out binary.5
  if java -ea binary_nn_nn_faster; then :; else break; fi;
  mv binary.out binary.6
  if ./binary_nn_cpp; then :; else break; fi;
  mv binary.out binary.7
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.1 binary.2; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.2 binary.1; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.3 binary.1; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.4 binary.1; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.5 binary.1; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.6 binary.1; then :; else break; fi
  if java -ea -cp ~/work/neerc2016/testlib/testlib4j.jar:. ru.ifmo.testlib.CheckerFramework Check binary.in binary.7 binary.1; then :; else break; fi
done
