#include <bits/stdc++.h>
using namespace std;
 
#define ARG4(_1,_2,_3,_4,...) _4
 
#define forn3(i,l,r) for (int i = int(l); i < int(r); ++i)
#define forn2(i,n) forn3 (i, 0, n)
#define forn(...) ARG4(__VA_ARGS__, forn3, forn2) (__VA_ARGS__)
 
#define ford3(i,l,r) for (int i = int(r) - 1; i >= int(l); --i)
#define ford2(i,n) ford3 (i, 0, n)
#define ford(...) ARG4(__VA_ARGS__, ford3, ford2) (__VA_ARGS__)
 
#define ve vector
#define pa pair
#define tu tuple
#define mp make_pair
#define mt make_tuple
#define pb emplace_back
#define fs first
#define sc second
#define all(a) (a).begin(), (a).end()
#define sz(a) ((int)(a).size())
 
#ifdef SG
    #include "../_debug/debug.h"
#else
    #define debug(...)
#endif
 
typedef long double ld;
typedef int64_t ll;
typedef uint64_t ull;
typedef uint32_t ui;
typedef uint16_t us;
typedef uint8_t uc;
typedef pa<int, int> pii;
typedef pa<int, ll> pil;
typedef pa<ll, int> pli;
typedef pa<ll, ll> pll;
typedef ve<int> vi;
 
const ld pi = 3.1415926535897932384626433832795l;
 
template<typename T> inline auto sqr (T x) -> decltype(x * x) {return x * x;}
template<typename T1, typename T2> inline bool umx (T1& a, T2 b) {if (a < b) {a = b; return 1;} return 0;}
template<typename T1, typename T2> inline bool umn (T1& a, T2 b) {if (b < a) {a = b; return 1;} return 0;}
 
struct Input {
    int n, m;
    ve<pii> a;
    vi b;
 
    bool read () {
        if (!(cin >> n >> m)) {
            return 0;
        }
        for (int i = 0; i < n; ++i) {
            char c;
            int t, x;
            scanf(" %c%d%d", &c, &t, &x);
            a.pb(mp(t, x * (c == '+' ? 1 : -1)));
        }
        b.resize(m);
        for (int i = 0; i < m; ++i) {
            scanf("%d", &b[i]);
        }
        return 1;
    }
 
    void init (const Input &input) {
        *this = input;
    }
};
 
struct Data: Input {
    ve<ll> ans;
    void write () {
        for (int i = 0; i < m; ++i) {
            if(ans[i] < 0) {
                cout << "INFINITY\n";
            } else {
                cout << ans[i] << "\n";
            }
        }
    }
};
 
struct Solution: Data {
    void solve () {
        ve<pii> c(m);
        for (int i = 0; i < m; ++i) {
            c[i] = mp(b[i], i);
        }
        int sum = 0;
        ve<pii> t;
        for (int i = 0; i < n; ++i) {
            sum += a[i].sc;
            t.pb(mp(a[i].fs, sum));
        }
        sort(all(c));
        reverse(all(c));
        ans.resize(m);
        ve<pa<ll, int>> w(m);
        for (int i = 0; i + 1 < n; ++i) {
            int left = -1, right = m;
            while (left + 1 < right) {
                int middle = (left + right) / 2;
                if (t[i].sc + c[middle].fs < 0) {
                    right = middle;
                } else {
                    left = middle;
                }
            }
            if (right < m) {
                int dt = t[i + 1].fs - t[i].fs;
                w[right].fs -= ll(t[i].sc + c[right].fs) * dt;
                w[right].sc += dt;
            }
        }
        for (int i = 0; i < m; ++i) {
            if (i) {
                w[i].fs += ll(c[i - 1].fs - c[i].fs) * w[i - 1].sc + w[i - 1].fs;
                w[i].sc += w[i - 1].sc;
            }
            ans[c[i].sc] = ((-sum > c[i].fs) ? -1 : w[i].fs);
        }
    }
 
    void clear () {
        *this = Solution();
    }
};
 
Solution sol;
 
int main () {
    cout.setf(ios::showpoint | ios::fixed);
    cout.precision(20);
#ifdef SG
    while (sol.read()) {
        sol.solve();
        sol.write();
        sol.clear();
    }
#else
    freopen("expect.in", "r", stdin);
    freopen("expect.out", "w", stdout);
    sol.read();
    sol.solve();
    sol.write();
#endif
    return 0;
}
