import java.io.*;
import java.util.*;

public class expect_gk {
    static Scanner in;
    static PrintWriter out;

    static class Solution {
        void run() {
            int n = in.nextInt();
            int q = in.nextInt();
            int c = 0;
            int[] pt = new int[1];
            NavigableMap<Integer, Integer> map = new TreeMap<>();
            for (int i = 0; i < n; i++) {
                final boolean add = "+".equals(in.next());
                int t = in.nextInt();
                int k = in.nextInt();
                map.compute(c, (key, v) -> (v == null ? 0 : v) + (t - pt[0]));
                pt[0] = t;
                c += add ? k : -k;
            }
            NavigableMap<Integer, Long> totals = new TreeMap<>();
            NavigableMap<Integer, Long> deltas = new TreeMap<>();
            long delta = 0;
            long total = 0;
            int pk = Integer.MIN_VALUE;
            for (Map.Entry<Integer, Integer> entry : map.entrySet()) {
                final Integer k = entry.getKey();
                total += delta * (pk == Integer.MIN_VALUE ? 1 : k - pk);
                delta += entry.getValue();
                totals.put(k, total);
                deltas.put(k, delta);
                pk = k;
            }
            for (int i = 0; i < q; i++) {
                int z = -in.nextInt();
                if (c < z) {
                    out.println("INFINITY");
                } else {
                    final Integer key = totals.floorKey(z);
                    if (key == null) {
                        out.println(0);
                    } else {
                        out.println(totals.get(key) + deltas.get(key) * (z - key));
                    }
                }
            }
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("expect.in"));
        out = new PrintWriter("expect.out");

        new Solution().run();

        in.close();
        out.close();
    }

    static class Scanner {
        final BufferedReader reader;
        StringTokenizer tokenizer = new StringTokenizer("");

        Scanner(File file) throws FileNotFoundException {
            reader = new BufferedReader(new FileReader(file));
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        String next() {
            while (!tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new AssertionError();
                }
            }
            return tokenizer.nextToken();
        }

        void close() {
        }
    }
}
