#include <bits/stdc++.h>
using namespace std;
 
#define ARG4(_1,_2,_3,_4,...) _4
 
#define forn3(i,l,r) for (int i = int(l); i < int(r); ++i)
#define forn2(i,n) forn3 (i, 0, n)
#define forn(...) ARG4(__VA_ARGS__, forn3, forn2) (__VA_ARGS__)
 
#define ford3(i,l,r) for (int i = int(r) - 1; i >= int(l); --i)
#define ford2(i,n) ford3 (i, 0, n)
#define ford(...) ARG4(__VA_ARGS__, ford3, ford2) (__VA_ARGS__)
 
#define ve vector
#define pa pair
#define tu tuple
#define mp make_pair
#define mt make_tuple
#define pb emplace_back
#define fs first
#define sc second
#define all(a) (a).begin(), (a).end()
#define sz(a) ((int)(a).size())
 
#ifdef SG
    #include "../_debug/debug.h"
#else
    #define debug(...)
#endif
 
typedef long double ld;
typedef int64_t ll;
typedef uint64_t ull;
typedef uint32_t ui;
typedef uint16_t us;
typedef uint8_t uc;
typedef pa<int, int> pii;
typedef pa<int, ll> pil;
typedef pa<ll, int> pli;
typedef pa<ll, ll> pll;
typedef ve<int> vi;
 
const ld pi = 3.1415926535897932384626433832795l;
 
template<typename T> inline auto sqr (T x) -> decltype(x * x) {return x * x;}
template<typename T1, typename T2> inline bool umx (T1& a, T2 b) {if (a < b) {a = b; return 1;} return 0;}
template<typename T1, typename T2> inline bool umn (T1& a, T2 b) {if (b < a) {a = b; return 1;} return 0;}
 
const int N = 1e6;
struct Input {
    char s[N + 1];
    bool read () {
        return scanf("%s", s) == 1;
    }
 
    void init (const Input &input) {
        *this = input;
    }
};
 
struct Data: Input {
    ld ans;
    void write () {
        cout << (double)ans << "\n";
    }
};
 
ld f[N + 1], g[N + 1][2];
 
struct Solution: Data {
    void solve () {
        int n = strlen(s);
        g[n][0] = g[n][1] = 0;
        ld sum = 0;
        for (int i = n - 1; i >= 0; --i) {
            int x = (s[i] == 'C' ? 1 : 0);
            int k = n - i;
            f[i] = (sum + g[i + 1][x]) / k + 1;
            g[i][x] = k + g[i + 1][x];
            g[i][x ^ 1] = g[i + 1][x ^ 1];
            sum += f[i];
        }
        ans =  n - f[0];
    }
 
    void clear () {
        *this = Solution();
    }
};
 
Solution sol;
 
int main () {
    cout.setf(ios::showpoint | ios::fixed);
    cout.precision(20);
#ifdef SG
    while (sol.read()) {
        sol.solve();
        sol.write();
        sol.clear();
    }
#else
    freopen("foreign.in", "r", stdin);
    freopen("foreign.out", "w", stdout);
    sol.read();
    sol.solve();
    sol.write();
#endif
    return 0;
}
