#include <cstdio>
#include <cassert>

int const N = 1234567;

int s[N];
double dp[N], pr[N];

int main() {
  assert(freopen("foreign.in", "r", stdin));
  assert(freopen("foreign.out", "w", stdout));
  int c = getchar();
  while (c <= 32) c = getchar();
  int n = 0;
  while (c > 32) {
    s[n++] = c == 'C' ? 0 : 1;
    c = getchar();
  }
  for (int i = 0; i <= n; i++) dp[i] = pr[i] = 0;
  dp[0] = 0.;
  pr[0] = 1.;
  for (int i = 0; i < n; i++) {
    double val = dp[i];
    int count = 0;
    double prob = 1. / (n - i);
    for (int j = i + 1; j <= n; j++) {
      dp[j] += val * prob + pr[i] * prob * count;
      pr[j] += pr[i] * prob;
      if (s[i] != s[j]) {
        ++count;
      }
    }
  }
  printf("%.17f\n", dp[n]);
}
