import java.io.OutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.PrintWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.Queue;
import java.io.BufferedReader;
import java.util.ArrayDeque;
import java.io.InputStream;

/**
* Built using CHelper plug-in
* Actual solution is at the top
*/
public class game_ik {
public static void main(String[] args) {
InputStream inputStream;
try {
inputStream = new FileInputStream("game.in");
} catch (IOException e) {
throw new RuntimeException(e);
}
OutputStream outputStream;
try {
outputStream = new FileOutputStream("game.out");
} catch (IOException e) {
throw new RuntimeException(e);
}
InputReader in = new InputReader(inputStream);
PrintWriter out = new PrintWriter(outputStream);
game solver = new game();
solver.solve(1, in, out);
out.close();
}

static class game {
public void solve(int testNumber, InputReader in, PrintWriter out) {
int n = in.nextInt();
int m = in.nextInt();
Vertex[] g1 = new Vertex[2 * n];
for (int i = 0; i < g1.length; ++i)
g1[i] = new Vertex();
Vertex[] g2 = new Vertex[2 * n];
for (int i = 0; i < g2.length; ++i)
g2[i] = new Vertex();
for (int i = 0; i < m; ++i) {
int x = in.nextInt() - 1;
int y = in.nextInt() - 1;

g1[2 * y].adjacent.add(g1[2 * x + 1]);
g1[2 * x + 1].deg += 1;
g1[2 * y + 1].adjacent.add(g1[2 * x]);
g1[2 * x].deg += 1;

g2[2 * y].adjacent.add(g2[2 * x + 1]);
g2[2 * x + 1].deg += 1;
g2[2 * y + 1].adjacent.add(g2[2 * x]);
g2[2 * x].deg += 1;
}

Queue<Vertex> q;
q = new ArrayDeque<>();
for (int i = 0; i < 2 * n; ++i)
if (g2[i].deg == 0) {
g2[i].value = i % 2 == 0 ? 1 : -1;
q.add(g2[i]);
}
process(q);
// for (int i = 0; i < n; ++i)
// out.println(g2[2 * i].value + " " + g2[2 * i + 1].value);

q = new ArrayDeque<>();
for (int i = 0; i < 2 * n; ++i) {
if (g1[i].deg == 0) {
g1[i].value = -1;
q.add(g1[i]);
} else if (g2[i].value >= 0 && i % 2 == 1) {
g1[i].value = 1;
q.add(g1[i]);
} else if (g2[i].value <= 0 && i % 2 == 0) {
g1[i].value = -1;
q.add(g1[i]);
}
}
process(q);

// for (int i = 0; i < n; ++i)
// out.println(g1[2 * i].value + " " + g1[2 * i + 1].value);

StringBuilder sb = new StringBuilder();
for (int i = 0; i < n; ++i) {
if (g2[2 * i + 1].value != -1)
sb.append("D");
else if (g1[2 * i + 1].value >= 0)
sb.append("W");
else
sb.append("L");
}
out.println(sb.toString());
sb = new StringBuilder();
for (int i = 0; i < n; ++i) {
if (g2[2 * i].value <= 0)
sb.append("D");
else if (g1[2 * i].value == 1)
sb.append("W");
else
sb.append("L");
}
out.println(sb.toString());
}

private void process(Queue<Vertex> q) {
while (!q.isEmpty()) {
Vertex v = q.poll();
if (v.value == -1) {
for (Vertex w : v.adjacent) {
if (w.value == 0) {
w.value = 1;
q.add(w);
}
}
} else {
for (Vertex w : v.adjacent) {
--w.deg;
if (w.deg == 0 && w.value == 0) {
w.value = -1;
q.add(w);
}
}
}
}
}

static class Vertex {
ArrayList<Vertex> adjacent;
int deg;
int value;

public Vertex() {
adjacent = new ArrayList<>();
deg = 0;
value = 0;
}

}

}

static class InputReader {
public BufferedReader reader;
public StringTokenizer tokenizer;

public InputReader(InputStream stream) {
reader = new BufferedReader(new InputStreamReader(stream), 32768);
tokenizer = null;
}

public String next() {
while (tokenizer == null || !tokenizer.hasMoreTokens()) {
try {
tokenizer = new StringTokenizer(reader.readLine());
} catch (IOException e) {
throw new RuntimeException(e);
}
}
return tokenizer.nextToken();
}

public int nextInt() {
return Integer.parseInt(next());
}

}
}