#include <cstdio>
#include <vector>
#include <string>
#include <queue>
#include <cassert>

using namespace std;

vector<vector<int>> g;


int main() {
  assert(freopen("game.in", "r", stdin));
  assert(freopen("game.out", "w", stdout));

  int n, m;
  assert(scanf("%d%d", &n, &m) == 2);
  g.resize(n);
  for (int i = 0; i < m; i++) {
    int a, b;
    assert(scanf("%d%d", &a, &b) == 2);
    --a, --b;
    g[a].push_back(b);
  }

  string ans1(n, 'D');
  string ans2(n, 'D');

  for (int i = 0; i < n; i++) {
    if (g[i].size() == 0) {
      ans1[i] = ans2[i] = 'L';
    }
  }

  while (true) {
    bool any = false;
    for (int i = 0; i < n; i++) {
      bool haveL, haveW, haveD;
      char res;
      haveL = haveD = haveW = false;
      for (int u : g[i]) {
        if (ans2[u] == 'L') haveL = true;
        if (ans2[u] == 'D') haveD = true;
        if (ans2[u] == 'W') haveW = true;
      }
      if (haveD) res = 'D';
      else if (haveL) res = 'W';
      else res = 'L';
      if (res != ans1[i]) {
        ans1[i] = res;
        any = true;
      }
      
      haveL = haveD = haveW = false;
      for (int u : g[i]) {
        if (ans1[u] == 'L') haveL = true;
        if (ans1[u] == 'D') haveD = true;
        if (ans1[u] == 'W') haveW = true;
      }
      if (haveL) res = 'W';
      else if (haveW || !haveD) res = 'L';
      else res = 'D';
      if (res != ans2[i]) {
        ans2[i] = res;
        any = true;
      }
    }
    if (!any) break;
  }

  printf("%s\n%s\n", ans1.c_str(), ans2.c_str());
  return 0;
}
