import java.io.OutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.InputStream;
 
/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 */
public class hard_petr {
    public static void main(String[] args) {
        InputStream inputStream;
        try {
            inputStream = new FileInputStream("hard.in");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        OutputStream outputStream;
        try {
            outputStream = new FileOutputStream("hard.out");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        InputReader in = new InputReader(inputStream);
        PrintWriter out = new PrintWriter(outputStream);
        Hard solver = new Hard();
        solver.solve(1, in, out);
        out.close();
    }
 
    static class Hard {
        public void solve(int testNumber, InputReader in, PrintWriter out) {
            boolean[] have = new boolean[1 << 16];
            boolean over = false;
            while (!over) {
                int ge = 0;
                int le = have.length - 1;
                while (true) {
                    String s = in.next();
                    if (!s.equals("x")) throw new RuntimeException();
                    s = in.next();
                    if (s.equals(">=")) {
                        ge = in.nextInt() + (1 << 15);
                    } else if (s.equals("<=")) {
                        le = in.nextInt() + (1 << 15);
                    } else throw new RuntimeException();
                    try {
                        s = in.next();
                    } catch (NullPointerException e) {
                        over = true;
                        break;
                    }
                    if (s.equals("||")) {
                        break;
                    } else if (s.equals("&&")) {
 
                    } else {
                        throw new RuntimeException();
                    }
                }
                for (int i = ge; i <= le; ++i) {
                    have[i] = true;
                }
            }
            if (allTrue(have)) {
                out.println("true");
                return;
            }
            if (allFalse(have)) {
                out.println("false");
                return;
            }
            boolean printedAny = false;
            for (int i = 0; i < have.length; ) {
                if (have[i]) {
                    int j;
                    for (j = i; j < have.length; ++j)
                        if (!have[j]) {
                            break;
                        }
                    if (printedAny) {
                        out.println(" ||");
                    }
                    printedAny = true;
                    boolean first = false;
                    if (i > 0) {
                        first = true;
                        out.print("x >= " + (i - (1 << 15)));
                    }
                    if (j < have.length) {
                        if (first) out.print(" && ");
                        out.print("x <= " + (j - 1 - (1 << 15)));
                    }
                    i = j;
                } else {
                    ++i;
                }
            }
            out.println();
        }
 
        private boolean allFalse(boolean[] have) {
            for (boolean x : have) if (x) return false;
            return true;
        }
 
        private boolean allTrue(boolean[] have) {
            for (boolean x : have) if (!x) return false;
            return true;
        }
 
    }
 
    static class InputReader {
        public BufferedReader reader;
        public StringTokenizer tokenizer;
 
        public InputReader(InputStream stream) {
            reader = new BufferedReader(new InputStreamReader(stream), 32768);
            tokenizer = null;
        }
 
        public String next() {
            while (tokenizer == null || !tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }
            return tokenizer.nextToken();
        }
 
        public int nextInt() {
            return Integer.parseInt(next());
        }
 
    }
}