#include <cstdio>
#include <cassert>
#include <algorithm>
#include <sstream>
#include <vector>
#include <string>
#include <numeric>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define sz(a) (int)(a).size()

const int L = -(1 << 15), R = (1 << 15) - 1;
const int N = R - L + 1;
const int LEN = 1010;

char s[LEN];
bool is[N], tmp[N];

int main() {
	assert(freopen("hard.in", "r", stdin));
	assert(freopen("hard.out", "w", stdout));

	while (fgets(s, LEN, stdin) && s[0] > 32) {
		stringstream ss(s);
		vector<string> words;
		string t;
		while (ss >> t) words.push_back(t);
		forn(i, N) tmp[i] = 1;
		for (int i = 1; i < sz(words); i++)
			if (words[i] == "<=") {
				int x = atoi(words[i + 1].c_str()) - L;
				for (int i = x + 1; i < N; i++) tmp[i] = 0;
			} else if (words[i] == ">=") {
				int x = atoi(words[i + 1].c_str()) - L;
				for (int i = x - 1; i >= 0; i--) tmp[i] = 0;
			}
		//printf("%d\n", (int)accumulate(tmp, tmp + N, 0LL));
		forn(i, N) is[i] |= tmp[i];
	}
	int sum = accumulate(is, is + N, 0LL);
	if (!sum) 
		puts("false");
	else if (sum == N)
		puts("true");
	else {
		bool first = 1;
		for (int i = 0; i < N; i++)
			if (is[i]) {
				int l = i;
				while (i < N && is[i]) i++;
				int r = i - 1;
				if (!first) puts(" ||");
				first = 0;
				if (l == 0)
					printf("x <= %d", r + L);
				else if (r == N - 1)
					printf("x >= %d", l + L);
				else
					printf("x >= %d && x <= %d", l + L, r + L);
			}
		puts("");
	}
}