import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        if (ouf.isEoF()) {
            return new Outcome(Outcome.Type.WA, "Solution exited early");
        } else if (!("" + Interact.KEY).equals(ouf.nextLine())) {
            return new Outcome(Outcome.Type.FAIL, "Wrong key");
        }

        String outcome = ouf.nextLine();
        String comment = ouf.nextLine();
        return new Outcome(Outcome.Type.valueOf(outcome), comment);
    }
}
