import java.io.File;
import java.io.PrintWriter;
import java.util.Scanner;
import java.util.function.BiFunction;

public class indiana_gk_wa_randomWalk {
    static final String GREY = "left";
    static final String TREASURE = "treasure";

    static class Solution {
        public void solve(int m, BiFunction<String, Integer, String> next) {
            while (!TREASURE.equals(next.apply(GREY, m == 1 ? 0 : 1)));
        }
    }

    public static void main(String[] args) throws Exception {
        Scanner in = new Scanner(System.in);
        int m = in.nextInt();
        try (PrintWriter log = new PrintWriter(new File("indiana_gk.log"))) {
            log.println("<<< " + in.next());
            new Solution().solve(m, (side, passage) -> {
                System.out.println(passage + " " + side + " " + passage);
                System.out.flush();
                log.println(">>> " + passage + " " + side + " " + passage);
                log.flush();
                String next = in.next();
                log.println("<<< " + next);
                log.flush();
                return next;
            });
        }
    }
}
