#ifdef DBG1
  #define _GLIBCXX_DEBUG
#endif

#include <cassert>
#include <cstdio>
#include <cassert>
#include <cstring>
#include <string>
#include <vector>
#include <algorithm>
#include <map>
#include <set>

#ifdef DBG1
    #define eprintf(...) fprintf(stderr, __VA_ARGS__)
#else
    #define eprintf(...)
#endif

using namespace std;

typedef long long ll;
typedef unsigned long long ull;
typedef pair <int, int> pii;

#define TASKNAME ""

const int C = 0, L = 1, R = 2;
int read () {
  char s[100];
  scanf (" %s", s);
  if (!strcmp (s, "treasure")) {
    exit (0);
  }
  if (!strcmp (s, "center")) {
    return C;
  }
  if (!strcmp (s, "left")) {
    return L;
  }
  if (!strcmp (s, "right")) {
    return R;
  }
  assert (0);
}

int go ( int a, int b, int c ) {
  printf ("%d %s %d\n", a, b == L ? "left" : "right", c);
  fflush (stdout);
  return read ();
}

int main() {
  /*
  freopen(TASKNAME ".in", "r", stdin);
  freopen(TASKNAME ".out", "w", stdout);
  */
  int m;
  assert (scanf ("%d", &m) == 1);
  int t = read ();
  assert (t == C);
  if (m == 1) {
    while (1)
      go (0, L, 0);
  }
  while (1) {
    int d[m], j = 0;
    for (int i = 0; i < m; i++) {
      int t = go (1, L, 1);
      if (t == C) {
        j = -1;
        break;
      }
      int l = 0, k = 0;
      while (t == R) {
        l++;
        t = go (0, R, 0);
      }
      assert (t == L);
      while (t == L) {
        k++;
        t = go (0, R, 0);
      }
      for (int i = 0; i < l; i++) {
        t = go (0, R, 0);
        assert (t == R);
      }
      for (int i = 0; i < k - 1; i++) {
        t = go (0, L, 0);
        assert (t == R);
      }
      d[i] = k;
      if (d[i] > d[j])
        j = i;
    }
    if (j == -1)
      continue;
    assert (d[j] >= 2);
    t = go ((j + 1) % m, R, (j + 1) % m);
    while (t == R)
      t = go (0, R, 0);
    assert (t == L);
    for (int i = 0; i < d[j] - 2; i++) {
      t = go (0, L, 0);
      assert (t == L);
    }
  }

  return 0;
}
