import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.InputStream;
 
/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 */
public class indiana_petr {
    public static void main(String[] args) {
        InputStream inputStream = System.in;
        OutputStream outputStream = System.out;
        InputReader in = new InputReader(inputStream);
        PrintWriter out = new PrintWriter(outputStream);
        Indiana solver = new Indiana();
        solver.solve(1, in, out);
        out.close();
    }
 
    static class Indiana {
        int m;
        InputReader in;
        PrintWriter out;
 
        public void solve(int testNumber, InputReader in, PrintWriter out) {
            m = in.nextInt();
            this.in = in;
            this.out = out;
            try {
                doit();
            } catch (FoundTreasureException e) {
            }
        }
 
        int getResult() {
            String s = in.next();
            if (s.equals("treasure")) {
                throw new FoundTreasureException();
            } else if (s.equals("center")) {
                return 0;
            } else if (s.equals("left")) {
                return 1;
            } else if (s.equals("right")) {
                return 2;
            } else {
                throw new RuntimeException();
            }
        }
 
        private void doit() {
            if (getResult() != 0) throw new RuntimeException();
            int[] toExplore = new int[100];
            int[] bestNumDown = new int[100];
            int[] bestToExplore = new int[100];
            int cnt = 1;
            toExplore[0] = m;
            bestNumDown[0] = -1;
            bestToExplore[0] = -1;
            while (true) {
                if (toExplore[cnt - 1] > 0) {
                    --toExplore[cnt - 1];
                    out.println("1 left 1");
                    out.flush();
                    int r = getResult();
                    if (r == 0) {
                        toExplore[cnt] = m;
                        bestNumDown[cnt] = -1;
                        bestToExplore[cnt] = -1;
                        ++cnt;
                    } else if (r == 1) {
                        out.println("0 right 0");
                        out.flush();
                        int cycleLength = 1;
                        while (true) {
                            r = getResult();
                            if (r == 2) {
                                break;
                            }
                            if (r != 1) throw new RuntimeException();
                            ++cycleLength;
                            out.println("0 left 0");
                            out.flush();
                        }
                        for (int i = 0; i < Math.max(1, cycleLength - 1); ++i) {
                            out.println("0 left 0");
                            out.flush();
                            if (getResult() != 1) throw new RuntimeException();
                        }
                        int numDown = cycleLength - 1;
                        if (numDown > bestNumDown[cnt - 1]) {
                            bestNumDown[cnt - 1] = numDown;
                            bestToExplore[cnt - 1] = toExplore[cnt - 1];
                        }
                    } else {
                        while (true) {
                            out.println("0 right 0");
                            out.flush();
                            r = getResult();
                            if (r == 1) break;
                            if (r != 2) throw new RuntimeException();
                        }
                        int numDown = 0;
                        while (true) {
                            out.println("0 left 0");
                            out.flush();
                            r = getResult();
                            if (r == 2) break;
                            if (r != 1) throw new RuntimeException();
                            ++numDown;
                        }
                        while (true) {
                            out.println("0 right 0");
                            out.flush();
                            r = getResult();
                            if (r == 1) break;
                            if (r != 2) throw new RuntimeException();
                        }
                        for (int i = 0; i < numDown; ++i) {
                            out.println("0 left 0");
                            out.flush();
                            r = getResult();
                            if (r != 1) throw new RuntimeException();
                        }
                        if (numDown > bestNumDown[cnt - 1]) {
                            bestNumDown[cnt - 1] = numDown;
                            bestToExplore[cnt - 1] = toExplore[cnt - 1];
                        }
                    }
                } else {
                    if (cnt > 1 && bestNumDown[cnt - 1] < 1) {
                        while (true);
                        //throw new RuntimeException();
                    }
                    int x = (m - bestToExplore[cnt - 1]) % m;
                    out.println(x + " right " + x);
                    out.flush();
                    while (true) {
                        int r = getResult();
                        if (r == 1) break;
                        if (r != 2) throw new RuntimeException();
                        out.println("0 right 0");
                        out.flush();
                    }
                    for (int i = 0; i < bestNumDown[cnt - 1] - 1; ++i) {
                        out.println("0 left 0");
                        out.flush();
                        if (getResult() != 1) throw new RuntimeException();
                    }
                    --cnt;
                    if (cnt > 0) {
                        if (bestNumDown[cnt] - 1 > bestNumDown[cnt - 1]) {
                            bestNumDown[cnt - 1] = bestNumDown[cnt] - 1;
                            bestToExplore[cnt - 1] = toExplore[cnt - 1];
                        }
                    }
                }
            }
        }
 
        static class FoundTreasureException extends RuntimeException {
        }
 
    }
 
    static class InputReader {
        public BufferedReader reader;
        public StringTokenizer tokenizer;
 
        public InputReader(InputStream stream) {
            reader = new BufferedReader(new InputStreamReader(stream), 32768);
            tokenizer = null;
        }
 
        public String next() {
            while (tokenizer == null || !tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }
            return tokenizer.nextToken();
        }
 
        public int nextInt() {
            return Integer.parseInt(next());
        }
 
    }
}