import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import static ru.ifmo.testlib.Outcome.Type.OK;
import static ru.ifmo.testlib.Outcome.Type.WA;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String ja = ans.nextToken();
        String pa = ouf.nextToken();
        if (!ja.equals(pa)) {
            return new Outcome(WA, String.format("Expected %s, found %s", ja, pa));
        }
        if ("no".equals(ja)) {
            return new Outcome(OK, "no");
        }

        int jm = ans.nextInt();
        int pm = ouf.nextInt();
        if (jm != pm) {
            return new Outcome(WA, String.format("Expected %d, found %d", jm, pm));
        }
        return new Outcome(OK, "yes " + jm);
    }
}
