#include <cstdio>
#include <cassert>
#include <algorithm>
#include <bitset>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)

typedef long long ll;

const int H = 5000 + 3, N = 1e4 + 3;

bitset<N> is[H]; // deleted
int l[N], r[N], cnt[N];
ll sum[N];
int n, h, m;

int main() {
	assert(freopen("jenga.in", "r", stdin));
	assert(freopen("jenga.out", "w", stdout));

	scanf("%d%*d%d%d", &n, &h, &m);
	forn(i, h) {
		l[i] = 0, r[i] = 2 * n;
		cnt[i] = n, sum[i] = 0;
		forn(j, n)
			sum[i] += 2 * j + 1;
	}
	forn(q, m) {
		int i, k;
		scanf("%d%d", &i, &k), i--, k--;
		cnt[i]--, is[i][k] = 1;
		sum[i] -= 2 * k + 1;
		if (cnt[i]) {
			l[i] = 2 * n, r[i] = 0;
			forn(j, n)
				if (!is[i][j]) {
					l[i] = min(l[i], 2 * j);
					r[i] = max(r[i], 2 * j + 2);
				}
		}

		int top = h - 1;
		while (top >= 0 && !cnt[top])
			top--;
		ll all = 0, sum_x = 0, sum_y = 0;
		bool bad = 0;
		for (; top >= 0; top--) {
			if (!cnt[top]) {
				bad = 1;
				break;
			}
			ll z = (ll)n * cnt[top];
			// forn(j, n) z += 2 * j + 1;
			if (top & 1) {
				// x = z, check y
				if (all > 0) {
					bad |= (sum_y <= l[top] * all);
					bad |= (sum_y >= r[top] * all);
				}
				all += cnt[top];
				sum_y += sum[top];
				sum_x += z;
			} else {
				// y = z, check x
				if (all > 0) {
					bad |= (sum_x <= l[top] * all);
					bad |= (sum_x >= r[top] * all);
				}
				all += cnt[top];
				sum_x += sum[top];
				sum_y += z;
			}
			// printf("q = %d, top = %d, bad = %d, [%d..%d] cnt=%d [x=%.3f, y=%.3f]\n", 
			// 	q, top, bad, l[top], r[top], cnt[top], 1. * sum_x / all, 1. * sum_y / all );
		}
		if (bad) {
			puts("yes");
			printf("%d\n", q + 1);
			return 0;
		}
	}
	puts("no");
}