@echo off

for /d %%i in (..\problems\*) do (
	if exist ..\problems\%%i\statement\pics (
		pushd ..\problems\%%i\statement\pics
		for %%j in (*.mp) do (
		        call mpost %%j
		)
		popd
	)
)

for %%i in (*.tex) do (
  del %%~ni.aux.prev 2> nul
  if exist %%~ni.aux copy %%~ni.aux %%~ni.aux.prev
  call latex %%~ni.tex
  if not exist %%~ni.aux.prev call latex %%~ni.tex
  if exist %%~ni.aux.prev (
    fc %%~ni.aux %%~ni.aux.prev > nul
    if errorlevel 1 call latex %%~ni.tex
    del %%~ni.aux.prev
  ) 
  call dvips %%~ni.dvi
  call ps2pdf %%~ni.ps
)

rem Alternative *.tex build: pdflatex --shell-escape problems.tex 